Package org.apache.iotdb.jdbc

# Interface WatermarkEncoder

All Known Implementing Classes:
  `GroupedLSBWatermarkEncoder`

public interface WatermarkEncoder

## Method Summary

Modifier and Type
Method
Description
`double`
`encodeDouble(double value, long time)`
`float`
`encodeFloat(float value, long time)`
`int`
`encodeInt(int value, long time)`
`long`
`encodeLong(long value, long time)`
`org.apache.tsfile.read.common.RowRecord`
`encodeRecord(org.apache.tsfile.read.common.RowRecord rowRecord)`
`boolean`
`needEncode(long timestamp)`

## Method Details

### encodeInt

int encodeInt(int value, long time)

### encodeLong

long encodeLong(long value, long time)

### encodeFloat

float encodeFloat(float value, long time)

### encodeDouble

double encodeDouble(double value, long time)

### needEncode

boolean needEncode(long timestamp)

### encodeRecord

org.apache.tsfile.read.common.RowRecord encodeRecord(org.apache.tsfile.read.common.RowRecord rowRecord)